Bug 35014 - lame port does not depend on Gtk so far.
lame port does not depend on Gtk so far.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-17 00:30 UTC by hideishi
Modified: 2002-04-22 02:27 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hideishi 2002-02-17 00:30:01 UTC
The port "audio/lame" 's Makefile (CVS revision 1.20) has
a definition of "USE_GTK=yes".
However, as far as I can see, this port does not depend on
Gtk at all since gtk frontend is not built.
Lame's gtk frontend is not included in the pkg-plist ether.
It will be nice to cut of this dependency, since this
dependency is meaningless.

Fix: 

Cut off "USE_GTK=yes" in the Makefile (CVS revision 1.20).
How-To-Repeat: Look at ports/audio/lame/Makefile (CVS revision 1.20).
Comment 1 mij 2002-02-17 00:35:52 UTC
On Sun, 17 Feb 2002 at 09:27:04 +0900, Hidenori Ishikawa wrote:
> >Number:         35014
> >Category:       ports
> >Synopsis:       lame port does not depend on Gtk so far.
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       medium
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Feb 16 16:30:01 PST 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Hidenori Ishikawa
> >Release:        FreeBSD 5.0-CURRENT i386
> >Organization:
> Chiba *BSD User Group
> >Environment:
> System: FreeBSD rei 5.0-CURRENT FreeBSD 5.0-CURRENT #0: Sat Feb 16 20:55:14 JST 2002 root@rei:/usr/src/sys.fiva/i386/compile/FIVA206VL-20020216 i386
> 
> 
> 	
> >Description:
> The port "audio/lame" 's Makefile (CVS revision 1.20) has
> a definition of "USE_GTK=yes".
> However, as far as I can see, this port does not depend on
> Gtk at all since gtk frontend is not built.
> Lame's gtk frontend is not included in the pkg-plist ether.
> It will be nice to cut of this dependency, since this
> dependency is meaningless.
> 	
> >How-To-Repeat:
> Look at ports/audio/lame/Makefile (CVS revision 1.20).
> 	
> >Fix:
> Cut off "USE_GTK=yes" in the Makefile (CVS revision 1.20).

I noticed this a few weeks ago, but apparently I forgot to tell the
maintainer.  I think the default should definitely be without GTK, and
add a knob for those who want to build with the GTK front-end.  I'll
come up with a patch and send it to the maintainer.

- jim

-- 
jim mock <mij@soupnazi.org>   http://soupnazi.org/ | jim@FreeBSD.org
Comment 2 anders 2002-04-20 00:32:10 UTC
Hi Jim,

Any patch coming? Or do we just remove the dependency? What does
Uchikawa-san think?

Cheers,

-- 
Anders.
Comment 3 Anders Nordby freebsd_committer 2002-04-22 02:23:05 UTC
State Changed
From-To: open->closed

I committed a fix to remedy this.